(* /!\ Code écrit par Lilian BESSON - LSV & CMLA & ENS de Cachan. Par respect des droits de propriétés intellectuelles, conservez ce bordereau si vous utilisez tout ou une partie de ce fichier. *)

(*				*)
(*	 Plot : MOcaml v1.0	*)
(*				*)

(**	{7 Plot : code ml pour ocamlc}	*)
(**						*)

(**
		Plot : Projet MOcaml
*)(**
ENS de Cachan - 2012
	L3 Informatique
	Projet MOcaml
	v1.0.4
*)(**
 Besson Lilian. Inspiré de 'meta_plot.c' et 'script_metaplot.sh' écrits par Lilian Besson en Février 2012. (c) Naereen Corp.
*)

(*
 *	Ce module fait partis du projet MOcaml, et utilise les modules ANSITerminal, et .
 *	Pour plus de détails, voir la documentation du projet MOcaml, en ligne ou dans les README.
 *)

(* ******************************************************************************************************************************************* *)
(** Utilise le module ANSITerminal. *)

if !(Sys.interactive)
then
	failwith "[MOcaml Plot] Ce programme ne peut pas etre utilise en mode toplevel.";;

open MOcamlPlot;;

print_string "[MOcaml Plot] dessin de sinus entre -3 et 9.\n"; flush_all ();;
polyPlot "sin(x)" ~range:(-3--9);;
	
print_string "[MOcaml Plot] dessin de cosinus entre 0 et 2.\n"; flush_all ();;
polyPlot "cos(x)" ~range:(0--2);;
	
print_string "[MOcaml Plot] dessin de exponentiel entre -4 et 1.\n"; flush_all ();;
polyPlot "exp(x)" ~range:(-4--1.);;
	


(* Merci a Romain Vernoux pour l'idée sur la surcharge. *)
(* /!\ Code écrit par Lilian BESSON - LSV & CMLA & ENS de Cachan. Par respect des droits de propriétés intellectuelles, conservez ce bordereau si vous utilisez tout ou une partie de ce fichier. *)
